net.dontdrinkandroot.visualization.item.edge

## Class ColoredEdgeItem<E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.edge.ColoredEdgeItem<E>

All Implemented Interfaces:
  VisualItem

    public class ColoredEdgeItem<E>
    extends Object
    implements VisualItem

### Constructor Summary

Constructors
Constructor and Description
`ColoredEdgeItem(E edge, edu.uci.ics.jung.graph.util.EdgeType edgeType, Point2D sourcePoint, Point2D destPoint, Vector startVector, Vector endVector, Path2D path, org.apache.commons.collections15.Transformer<E,Color> colorTransformer)`

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`Rectangle2D` `getBounds()`
`Point2D` `getPosition()`
`Stroke` `getStroke()`
`void` `setPosition(double x, double y)`
`void` `setPosition(Point2D p)`
`void` `setStroke(Stroke stroke)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColoredEdgeItem

    public ColoredEdgeItem(E edge,
                   edu.uci.ics.jung.graph.util.EdgeType edgeType,
                   Point2D sourcePoint,
                   Point2D destPoint,
                   Vector startVector,
                   Vector endVector,
                   Path2D path,
                   org.apache.commons.collections15.Transformer<E,Color> colorTransformer)

### Method Detail

#### draw

    public void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`

#### getBounds

    public Rectangle2D getBounds()

Specified by:
  `getBounds` in interface `VisualItem`

#### getPosition

    public Point2D getPosition()

Specified by:
  `getPosition` in interface `VisualItem`

#### setPosition

    public void setPosition(double x,
                   double y)

Specified by:
  `setPosition` in interface `VisualItem`

#### setPosition

    public void setPosition(Point2D p)

Specified by:
  `setPosition` in interface `VisualItem`

#### setStroke

    public void setStroke(Stroke stroke)

#### getStroke

    public Stroke getStroke()